import Action from '../../types/Store/Actions';
import { PrepayConfig } from '../../types/Order/Order';

export const INITIAL_STATE = [];

export const updatePayData = (entity: PrepayConfig[]): Action => ({
  type: 'UPDATE_DEVICE_DATA',
  payload: entity,
});

export default function prepayConfig(
  state: PrepayConfig[] = INITIAL_STATE,
  actions: Action,
): PrepayConfig[] {
  switch (actions.type) {
    case 'UPDATE_DEVICE_DATA':
      return {
        ...state,
        ...actions.payload,
      };
    default:
      return state;
  }
}
